== Changelog ==

= 1.7.0.3 - 17-08-2020 =
* Fix - Referral URL unicode support.
* Fix - Conditional logic for dropdown broken.
* Fix - PerfectScrollbar issue in builder integration.

= 1.7.0.2 - 11-08-2020 =
* Fix - Conditional logic on select field.
* Fix - Likert table scroll in responsive.
* Fix - Drag and drop issue in tools page import form area.
* Fix - Conditional logic required message while using on the checkbox.
* Tweak - Upgrade URL to redirect to pricing page rather than product page.

= 1.7.0.1 - 20-07-2020 =
* Fix - Form status {de}active toggle button.
* Fix - reCAPTCHA working only for logged in user.
* Fix - Email subject while using select field smart tag.
* Fix - Select field placeholder not displayed in enhanced select and not selected in default select.
* Tweak - Modified `everest_forms_logged_in_user_recaptcha_disabled` with `everest_forms_recaptcha_disabled` hook.

= 1.7.0 - 15-07-2020 =
* Enhancement - Add support for form restriction addon.
* Added - Support for bulk options to Checkbox, Multiple Choice and Dropdown fields.
* Added - Introduce `get_multiple` method in `EVF_Form_Handler` to fetch multiple forms.
* Fix - Number Field validation issue with conditional logic.
* Fix - Modify logic for fetching unread and starred entries.
* Fix - Date/Time field to use local date instead of default UTC.
* Fix - Export of field data with HTML encoded special characters.
* Fix - The field placeholder & default value 0 (zero) does not display on the frontend.
* Tweak - Updated jQuery Validation JS library to v1.19.2.
* Tweak - Parameters for reCAPTCHA URL filter to change language code in v2 type.
* Tweak - Preserve entry status so they are restored correctly after moving to trash.
* Tweak - Add trigger `everest_forms_loaded` to notify plugins that the core was loaded.
* Tweak - Introduced `everest_forms_logged_in_user_recaptcha_disabled` filter to disable reCAPTCHA check for logged-in user.
* Tweak - Modify duplicated action hook `everest_forms_general_settings` to `everest_forms_inline_general_settings` for builder general settings.
* Dev - Introduced `everest_forms_total_entries_count` filter to update total entries count in list table views.
* Dev - Introduced `everest_forms_{$export_type}_export_delimiter` filter to change separator string while exporting CSV files.

= 1.6.7 - 17-05-2020 =
* Feature - Added a new Pro field Range Slider.
* Fix - JS error while removing list from choice field.
* Tweak - Add support for next max value of row ID.

= 1.6.6.1 - 10-05-2020 =
* Fix - Sanitization of CSV exported field values.
* Fix - Conflict within WooCommerce checkout page.
* Fix - Flatpickr Calendar does not open on Android Chrome.
* Tweak - Updated selectWoo JS library to v1.6.0.
* Tweak - Updated flatpickr JS library to v4.6.3.

= 1.6.6 - 01-05-2020 =
* Fix - Log file deletion.
* Fix - Field Options getting freezed for the first field.
* Fix - Perfect Scrollbar library updated to fix RTL issue.
* Fix - Undefined PHP notice thrown if confirmation email didn't match.
* Fix - False-positive required message displayed upon email validation.
* Enhancement - Email attachment workflow.
* Enhancement - Added enhanced select feature to the Dropdown field.
* Enhancement - Added option to disable certain dates in the Date/Time field.

= 1.6.5 - 10-04-2020 =
* Fix - Shortcode design issue in list table.
* Fix - Form block deprecated notices in console.
* Fix - Selective html tag support in field label.
* Fix - Placeholder live update broken for fields.
* Fix - Set the default threshold received from reCAPTCHA.
* Fix - Empty form fields within form throwing PHP warnings.
* Fix - Placeholder components design issue with our form block.
* Fix - Image and file not being submitted with enable AJAX form submission.
* Tweak - RTL design issue for font-weight.
* Tweak - Google reCAPTCHA v3 threshhold default to `0.5`.
* Tweak - Custom Captcha field now shown as part of pro fields.
* Tweak - Prefill field value so it can be used to modify data.
* Tweak - Removed unnecessary height for input on classic layout.
* Tweak - Use `apply_shortocodes()` as an alias for `do_shortcode()` for better semantics.
* Tweak - Improve WPML compatibility for form fields and its settings. Thanks @mebishalnapit!
* Enhancement - Added Formatting function `evf_array_splice_preserve_keys`.
* Dev - Linting fix for SCSS files and added some rules for stylelint.

= 1.6.4 - 17-03-2020 =
* Fix - Google reCAPTCHA issue with the version changes.
* Tweak - Remove smart tags icon from default value option for Number and Rating fields.
* Dev - Use WP-CLI to generate .pot file.

= 1.6.3 - 02-03-2020 =
* Fix - Form not saved while using smart tag.
* Fix - Deactivation notice.
* Fix - Invalid argument in entries view.
* Fix - Import export file name.

= 1.6.2 - 29-02-2020 =
* Fix - Cloning not working for some fields.
* Fix - Error thrown for star rating field when using smart tags.
* Fix - Conditional logic for Checkbox and Multiple Choice field.
* Fix - Smart tags of Multiple Choice and Checkbox are not working in email.
* Fix - Redirection parameter delegated to frontend for AJAX form submission.
* Tweak - PHPCS fixes.
* Tweak - Implement log cleanup cron job.

= 1.6.1 - 13-02-2020 =
* Fix - Form submission error while processing on frontend.

= 1.6.0 - 11-02-2020 =
* Feature - Add support for form template.
* Feature - Import Export of Everest Forms.
* Feature - Add support for AJAX form submission.
* Feature - Required field message are made editable.
* Enhancement - Improve choice field with image support.
* Enhancement - Randomize the order of the choice field support.
* Enhancement - Limit the number of options to be checked in checkboxes field.
* Enhancement - Robust the layout for displaying field choice i.e inline or {one|two|three} columns.
* Enhancement - Single Line Text/Paragraph fields limitation options (limit by character or word count).
* Enhancement - Added a filter `everest_forms_builder_field_option_class` to support field option class.
* Enhancement - Added a settings for confirm field validation message to support email confirmation error.
* Fix - Error handling in AJAX handler for endpoint.
* Fix - Choice default value not rendered on frontend.
* Fix - Correctly closes label if no desc arg is passed.
* Fix - Checks if only string is provided for JSON content.
* Fix - Specific form submission notice display in another.
* Fix - Select2 style and admin screen button alignments in WP 5.3+.
* Fix - reCAPTCHA when running on localhost with port different from 80.
* Fix - Show/Hide empty fields action inside the single entry view.
* Fix - Show forms with disabled entries if they have previous entries count.
* Fix - Use brackets instead of braces to avoid deprecation notices in PHP 5.6.
* Tweak - Sortable design issue and smooth choices.
* Tweak - Store entry ID in property of task handler.
* Tweak - Editable Form name from the form builder title.
* Tweak - Admin notice design conflicted due to review notice.
* Tweak - Referal in admin panel for origination of form entry.
* Tweak - Display empty field value so users can toggle them in single entry view.
* Tweak - Hide confirm placeholder text & sub-label option accordingly for email and password field.

= 1.5.10 - 25-11-2019 =
* Fix - Google reCAPTCHA v2 invisible settings bug.
* Fix - DB unwanted data erase for fields data save.
* Fix - Multi-part submit button hidden due to theme style conflict.

= 1.5.9 - 19-11-2019 =
* Fix - Fatal error: Called to undefined function.

= 1.5.8 - 18-11-2019 =
* Feature - Email field mailcheck feature to offer additional controls.
* Feature - Date field localization, multiple date selections with min/max date.
* Feature - Default value for "Paragraph text" field.
* Fix - WordPress 5.3 compatibility.
* Fix - Selection of radio and checkbox on label click.
* Tweak - Smart phone field design enhancement.
* Tweak - Seperate site and secret key for recaptcha v2 invisible.

= 1.5.7 - 07-11-2019 =
* Tweak - Design for smart phone field.
* Tweak - CSS styling for label and radio/checkbox field.
* Tweak - Introduced entry ID params in filter hook for email attachment.
* Deprecated - Function `evf_has_date_field` has been deprecated instead added `evf_is_field_exists` function.

= 1.5.6 - 18-10-2019 =
* Feature - Added form preview button inside builder area.
* Fix - Submit button disable when multiple forms is present.
* Fix - Undefined meta-key error on console while cloning HTML field.

= 1.5.5 - 19-09-2019 =
* Feature - Confirm Email option on Email Field.
* Fix - Sortable Fields scrollable bug.
* Fix - Field not appended in the droppable zone.
* Fix - Multi-part form conflict in frontend single page.
* Fix - Undefined label for html field translation string.
* Fix - Checkbox field on entries while selecting multiple.
* Fix - Conditional logic rules improved for all the fields.
* Fix - Icon placement design conflict with TheGem theme on builder page.
* Fix - String translation while updating the label and placeholder of fields.
* Tweak - Mouse cursor on draggable elements.
* Tweak - Managed spacing after dropping the field.
* Tweak - Captcha field question option design issue.
* Tweak - Date/Time field format option design issue.
* Tweak - Placeholder adding extra margin while dragging.

= 1.5.4 - 25-08-2019 =
* Fix - Meta key for cloned form field.
* Fix - CSV export broken due to uppercase alphanumric meta-key.
* Fix - Layout of entries is broken when heartbeat notification appears.
* Tweak - Removed focus effect on add field buttons.
* Tweak - Design fix for choice option on Internet Explorer.
* Tweak - Textarea width on frontend and field spacing on builder.

= 1.5.3 - 26-07-2019 =
* Fix - Entry search in trash listing page.
* Fix - Bulk actions for entries list table.

= 1.5.2 - 23-07-2019 =
* Fix - Prevent empty search term in forms query.
* Fix - Entries list-table with status query bug.
* Fix - Entries list table offset bug for pagination.
* Fix - Entries form filter action bug while paginated.

= 1.5.1 - 19-07-2019 =
* Fix - Email notification issue in older forms.
* Fix - Addon installation error notice margin bug.
* Fix - Icon floating on nav effected by auto load next plugin.

= 1.5.0 - 15-07-2019 =
* Feature - Form specific email notification toggle.
* Feature - Form enable/disable toggle with disabled message.
* Feature - Form title and description support in Guten block.
* Feature - New entries "heartbeat" notification on the entries list table screen.
* Enhancement - Add support for custom captcha addon. #209
* Enhancement - Introduced range support in the date/time field.
* Fix - Correctly load localisation file.
* Fix - WPML string translation for notices.
* Fix - Fatal error thrown if form not found.
* Fix - SQL Injection (discovered by Tin Duong).
* Fix - Frontend error message on PHP validation.
* Fix - Navigation alignment issue with multi-part.
* Fix - Email field should default to being required.
* Fix - Undefined variable for filtered template file.
* Fix - Active email list not shown on first page load.
* Fix - Date and time of entry submission. #191
* Fix - Dragging forms fields bug in the builder. #196
* Fix - Form builder design bug on wp.com dashboard. #190
* Fix - Show form error notice on any form field error. #213
* Fix - WP admin bar design issue in safari on EVF pages. #179
* Fix - Submit button Processing text while form is not saved. #177
* Fix - Field choices preview fixed while removing field choices. #221
* Fix - Prepare a SQL query for safe execution in `evf_search_entries()`.
* Fix - Validation message issue on the address field and checkbox field.
* Tweak - Responsive design issue within builder.
* Tweak - Date and time field advanced option design.
* Tweak - Set margin to fix spacing issue on Multi-part buttons.
* Tweak - Removed unnecessary CSS to fix Multi-part button alignment.
* Tweak - Field type changed from date to date-time for date/time field.
* Tweak - Use `determine_locale()` to properly load custom translation files.
* Tweak - Drag and drop sortable-ui design enhancement on builder sidebar panel.

= 1.4.9 - 28-05-2019 =
* Feature - Everest Forms is WPML Compatiable. #161
* Feature - Introduced Credit card field for stripe. #154
* Feature - Anti-spam honeypot form field for spam protection. #162
* Feature - Introduced reCaptcha version 2 invisible and reCaptcha version 3. #157
* Enhancement - Added submit button processing text and class name support. #140
* Enhancement - Added smart tag admin email and user email on email field. #135
* Enhancement - Added time support and advanced formatting options for a date field. #122
* Enhancement - Added Cc and Bcc email addresses support for form notification settings. #129
* Enhancement - Added maximum and minum value support in number field. #77
* Fix - Dragging field item being hidden. #147
* Fix - Multiple CSS classes option in the fields. #128
* Fix - Form Block additional CSS returning error. #136
* Fix - Display a "Copied!" tip when success copying. #148
* Fix - Tab content hiding on payment gateway tab click. #124
* Fix - Fill email notifications settings in blank form. #135
* Fix - Tooltip not showing on new email notifications. #168
* Fix - Field attribute structure on form email notification. #166
* Tweak - Rearrange scss files. #137
* Tweak - Maintained placeholder color.
* Tweak - Button design consistence. #146
* Tweak - Form Hide after the submission. #153
* Tweak - Edit form link in form preview. #145
* Tweak - Tooltip information enhancements #163
* Tweak - Scroll to the confirmation message. #153
* Tweak - Input styles inherited from theme's style. #138
* Tweak - Email HTML template and plain text image selection. #160
* Performance - Improve the speed of templates loader by caching. #156
* Dev - Define `$wpdb` tables as early as possible, before init. #139
* Deprecated - Payment charge field by introducing conditional logic.

= 1.4.8 - 23-04-2019 =
* Fix - Prevent content filters from corrupting form JSON data.

= 1.4.7 - 03-04-2019 =
* Feature - Tooltipster introduced.
* Feature - Add support for Payment charge & section field.
* Fix - Likert and scale rating field icons.
* Fix - Replace tipTip with Tooltipster.
* Fix - Scrollbar position in sidebar.
* Tweak - Scale rating min & max point validation error tips.
* Tweak - Alignment position with higher font size in radio/checkbox.

= 1.4.6 - 25-03-2019 =
* Fix - Add-ons installation process.
* Tweak - Keep tooltip alive on hover.

= 1.4.5 - 22-03-2019 =
* Fix - Placeholder live change.
* Fix - Smart tag design issue on tinyMCE.
* Fix - Spacing between two form on single page.
* Fix - Prioritize default background color in input field.
* Fix - Scroll options to top when field setting is triggered.
* Fix - The result parameter for function `parse_str()` is missing.
* Fix - Address field styles conflict with bootstrap framework theme.
* Tweak - Add `span` tag for all fields label.
* Tweak - Hide preview suffix on customize preview.
* Tweak - Change 'store' to 'site' in update notice.
* Tweak - Correctly set webpack mode to minify builds.
* Tweak - Introduced script load action hook for shortcode.
* Tweak - Introduced dimension related formatting functions.
* Dev - New pre-commit hook for PHP, JS, CSS.

= 1.4.4 - 09-01-2018 =
* Fix - Google reCAPTCHA conflict with others plugins.

= 1.4.3 - 21-12-2018 =
* Fix - Uncaught TypeError Flatpicker JS console error.

= 1.4.2 - 19-12-2018 =
* Fix - Form block styles not loaded in WP 5.0.
* Fix - Classic layout rendering default layout.
* Fix - Google reCAPTCHA conflict during validation.
* Fix - BW compatibility for multiple-emails support.
* Tweak - Conditionally load the scripts on demand.
* Tweak - Smart Tags enhanchment with extra smart Tags and can be used on default value of form fields.

= 1.4.1 - 06-12-2018 =
* Fix - Default notification label behaviour.
* Fix - Backward compatibility on multiple email.
* Fix - Drag and drop bug in choices lists while sorting.
* Tweak - Design for multiple email notification area.

= 1.4.0 - 03-12-2018 =
* Feature - Introduced Multiple Email.

= 1.3.4 - 27-11-2018 =
* Feature - Added Gutenberg forms block.
* Fix - reCaptcha not displayed in multi-part form addon.

= 1.3.3 - 05-11-2018 =
* Feature - Added a filter to process Email conditionally.
* Fix - Checkbox and radio input design issue in front-end.
* Fix - PerfectScrollbar console error in forms list table.
* Fix - Compatibility with different pagebuilder for flatpicker styles.
* Tweak - Required field asterisk alignment style issue.
* Tweak - Field container should not be overridden by theme margin.
* Tweak - Added button class in submit button for multiple theme compat.

= 1.3.2 - 31-10-2018 =
* Feature - Multi-Part addon support.
* Feature - "Reply to" address support on email.
* Feature - Introduced debugging information logger.
* Tweak - Smooth drag and drop inside form builder area.
* Tweak - jQuery UI sortable placing space while dragging.
* Tweak - Frontend form fields UI and submit button design.
* Tweak - Remove text decoration from abbr tag required field.
* Fix - Dashicon plus icon position while adding new field.
* Fix - Display error notice on empty or invalid nonce check.
* Fix - Hook into `in_admin_header` to hide unrelated notices.
* Fix - Memory limit values not correctly converting to bytes.
* Fix - Live appending fields on Integration Conditional Logic.
* Fix - Correctly handle shorthand values for memory_limit in `php.ini`.
* Fix - Enable FlatPickr on mobile devices instead of HTML5 date inputs.
* Fix - Change the query used to save session data to the database to protect against deadlocks.

= 1.3.1 - 09-10-2018 =
* Feature - Introduced form preview.
* Feature - Conditional Logics addon support.
* Fix - Meta key required for HTML and title field.
* Fix - Empty form fields data added during form save.
* Fix - Spacing of checkbox and radio button on form builder.
* Fix - cron_interval property support in `WP_Background_Processing`.
* Fix - Check post type before fetching form so error are not thrown.
* Tweak - Image upload icon used for field.
* Tweak - Introducing privacy policy content.
* Dev - Added `everest_forms_builder_fields_tab` and `everest_forms_builder_fields_tab_content` action hook.

= 1.3.0 - 11-09-2018 =
* Feature - CSV exporter for entries.
* Feature - Introduced Addons fetaures page.
* Fix - Navigation tab colors.
* Fix - Meta key field required.
* Fix - Ordering of forms fields after sorting.
* Fix - Placeholder and default value for select.
* Fix - Validation on change for meta key and CSS class name.
* Dev - Integration pannel for Everest Forms Pro.
* Dev - Everest Forms Pro fields registered.
* Deprecated - `evf_get_us_states` function is deprecated.

= 1.2.4 - 30-07-2018 =
* Feature - Smart Tags.

= 1.2.3 - 19-07-2018 =
* Fix - Load the flatpickr assets library correctly.
* Fix - Plugin deactivation notice appearing multiple times.

= 1.2.2 - 19-07-2018 =
* Feature - Changed Datepicker library for year selection.
* Fix - Fatal error thrown via unfound class `EVF_Panel_Settings`.
* Tweak - Change of input mask docs URL for Single line text field.

= 1.2.1 - 12-07-2018 =
* Fix - Form setting output issue after save.
* Tweak - Removed border shown on active nav tab.
* Tweak - Navigation tab icon output logic improved.

= 1.2.0 - 09-07-2018 =
* Feature - Copy shortcode inside form view page.
* Feature - Input Mask added in Text Advance Field.
* Feature - Email html/plain template settings is added up.
* Tweak - Revamped the form builder page UI.
* Tweak - Placeholder added in Date form field.
* Tweak - Added form bulk actions admin notices.
* Tweak - Several label changed for form fields.
* Tweak - Less spacing between icon and the label.
* Tweak - Added moving cursor while dragging fields.
* Tweak - Sidebar width so layout won't stretch much.
* Tweak - Editing the field element now highlight it.
* Tweak - Entries number alignment is changed to center.
* Tweak - Empty Button is added only if item is in trash.
* Tweak - Others admin notice are hidden in builder page.
* Tweak - Form name is strictly required on new form creation.

= 1.1.9 - 26-06-2018 =
* Fix - Validation and sanitization for form fields.
* Fix - Only five forms are listed in entries selection.
* Tweak - Entries number alignment is changed to center.
* Tweak - Entry save related data can be override via filter.

= 1.1.8 - 07-06-2018 =
* Fix - Similar meta key exists while duplicating the field.
* Fix - Entry field value error due to html tags in serialized data.

= 1.1.7 - 28-05-2018 =
* Fix - Google reCaptcha check with its own server.
* Fix - Switch to cloned field options after cloning.
* Fix - Hidden row design on last form field deletion.
* Fix - Failed draggable fields being hidden in form builder.
* Fix - Toggle and tooltip initialize if the field is new one.

= 1.1.6 - 24-05-2018 =
* Fix - Appending HTMl instead of text for preview description.
* GDPR - If user details are disabled globally discard the IP address and User Agent.
* Deprecated - Unnecessary general and email settings from global.

= 1.1.5.1 - 04-05-2018 =
* Fix - reCaptcha displaying after every inserted row issue.

= 1.1.5 - 03-05-2018 =
* Fix - Google reCaptcha console errors.
* Fix - Select2 styles conflict with WooCommerce.
* Fix - Undefined jQuery vars in `admin-helper.js`
* Fix - Prevent 404 in console for jQuery UI images.
* Fix - Compatibility with Elementor and SiteOrigin page builder.

= 1.1.4 - 24-04-2018 =
* Fix - Log handler class for addons.
* Fix - Entry ID value set for email.
* Fix - Error highlights in extensions.
* Fix - Correctly format the entry meta-key.
* Fix - Unwanted margin on form submit notice.
* Fix - Entries bulk actions with bottom selector.
* Fix - Create logger directory on plugin install.
* Tweak - Styles for logger, entries and jQuery UI.
* Tweak - Loads scripts conditionally on forms page only.
* Tweak - Allow meta-key for `everest_forms_process_format_*` hook.
* Tweak - Added hook `everest_forms_hidden_entry_fields` to hide entry fields.

= 1.1.3 - 12-04-2018 =
* Feature - Multiple email recipient.
* Fix - Per page entries in list table.
* Fix - Clone field next to it not at last.
* Fix - Empty field ID if meta key is renamed.
* Fix - Use `wp_kses_post` to save tinymce value.
* Tweak - jQuery-confirm JS alert library styles.
* Tweak - Horizontal scroll bar issue on frontend.
* Dev - Introduced new `EVF_Background_Process` abstract class.

= 1.1.2 - 29-03-2018 =
* Fix - Exclude CPT data from search.

= 1.1.1 - 23-03-2018 =
* Fix - Custom email message issue.

= 1.1.0 - 12-03-2018 =
* Feature - Entries panel to save form in database.

= 1.0.3 - 23-02-2018 =
* Fix - From email issue fix for default form

= 1.0.2 - 15-02-2018 =
* Fix - Box-sizing issue with list tables.
* Fix - Header already sent error on plugin activation.
* Tweak - Refactor list tables and menu related hooks placement.

= 1.0.1 - 13-02-2018 =
* Feature - JS validation on submit.
* Fix - Select field option display.
* Fix - Checkbox validation styling.
* Fix - Create default form on first install.

= 1.0.0 - 02-02-2018 =
* Initial Release
